<?php
defined('BASEPATH') OR exit('No direct script access allowed');
header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Methods: GET, PUT, POST, DELETE, OPTIONS'); 
class LogController extends CI_Controller {
        /**
         * Index Page for this controller.
         *
         * Maps to the following URL
         *              http://example.com/index.php/welcome
         *      - or -
         *              http://example.com/index.php/welcome/index
         *      - or -
         * Since this controller is set as the default controller in
         * config/routes.php, it's displayed at http://example.com/
         *
         * So any other public methods not prefixed with an underscore will
         * map to /index.php/welcome/<method_name>
         * @see https://codeigniter.com/user_guide/general/urls.html
         */

        public  $api,$shopData;
        public $shop;
        public function __construct()
        {
                parent::__construct();// you have missed this line.
                
               
        }

        function index(){

                // $jwt=$this->input->get("authorization");
        	$response = array('status' => 'OK');

                // list($headersB64, $payloadB64, $sig) = explode('.', $jwt);
                // $decoded = json_decode(base64_decode($payloadB64), true);

                // print_r($decoded);
                // die();

                $this->output
                        ->set_status_header(200)
                        ->set_content_type('application/json', 'utf-8')
                        ->set_output(json_encode($response, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES))
                        ->_display();
			exit;
        }
}